Subject: Re: About Zebra Error

From: Mark Powell <[email-masked]>
Date: Thu, 13 Jan 2005 09:18:09 +0000

Aubrey Lee wrote:

> hi, In the PC(i686) system, I build and run zebra successfully. And now
>I'm porting it to the powerpc system. Cross-compiling finished without error.
>But when I run the zebra from my target board, it gives me  a big headache:
>--------------------------------------------------------------------------  
>bash-2.05b# /opt/zebra/sbin/zebra
>             sock: Address family not supported by protocol
>----------------------------------------------------------------------------
>And Up to now I cann't find the message in the souce 
>code files.  
>     The two ethx and their driver of my board is OK.
>     What shall I do?
>  
>
I had a similar message when running udhcpd. The problem was that some 
network drivers were built as modules. Adding the following to 
modules.conf cured my problem:

    # PF_PACKET support needed by udhcpc
    alias net-pf-17 af_packet

-- 
Mark Powell, Senior Software Engineer
Curtiss-Wright Controls Embedded Computing
Tel: +44 (0) 1763 852222
Email: [email-masked]